libarchive-zip-perl (1.68-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.68.
  * Update build dependencies.
  * Update debian/upstream/metadata.
  * Drop debian/TODO which referred to a removed test helper file.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Mar 2020 13:52:14 +0100

libarchive-zip-perl (1.67-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Mark libarchive-zip-perl Multi-Arch: foreign. (Closes: #952664)

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set upstream metadata fields: Bug-Submit.

 -- gregor herrmann <gregoa@debian.org>  Thu, 27 Feb 2020 19:33:43 +0100

libarchive-zip-perl (1.67-1) unstable; urgency=medium

  * Import upstream version 1.67
  * Drop versionMadeBy_versionNeededToExtract.patch (applied upstream)
  * Declare compliance with Debian policy 4.4.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Oct 2019 16:54:50 +0200

libarchive-zip-perl (1.66-2) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream pull request to fix versionMadeBy and
    versionNeededToExtract issue in zip64.
    Thanks to Paul Gevers for the bug report and Chris Lamb for the analysis.
    (Closes: #940973)
  * Annotate test-only build dependencies with <!nocheck>.
  * Update debian/upstream/metadata.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Sep 2019 18:44:09 +0200

libarchive-zip-perl (1.66-1) unstable; urgency=medium

  * Import upstream version 1.66

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Sep 2019 21:04:50 +0200

libarchive-zip-perl (1.65-1) unstable; urgency=medium

  * Import upstream version 1.65
  * debian/watch: Bump format to version 4
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.4.0
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Sep 2019 06:39:29 +0200

libarchive-zip-perl (1.64-1) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.64
  * Declare compliance with Debian policy 4.2.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Sep 2018 06:15:53 +0200

libarchive-zip-perl (1.63-1) unstable; urgency=medium

  * Import upstream version 1.63
  * Drop 0001-untaint_pat-should-be-untaint_pattern.patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Aug 2018 07:13:16 +0200

libarchive-zip-perl (1.62-2) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream Git repo to fix File::Find usage.
    The misspelled parameter also causes a warning which breaks other
    packages' autopkgtests.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Aug 2018 21:04:48 +0200

libarchive-zip-perl (1.62-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org
  * Import upstream version 1.61 and 1.62
    + Prevent from traversing symlinks and parent directories when
      extracting (CVE-2018-10860) (Closes: #902882)
  * Bump Debhelper compat level to 10
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.2.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 20 Aug 2018 08:03:09 +0200

libarchive-zip-perl (1.60-1) unstable; urgency=medium

  [ Florian Schlichting ]
  * Make crc32 error message unambiguous (closes: #762454)

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.60
  * Refresh fix_example_shebangs.patch patch
  * Refresh patch header for bogus-error-message.patch patch
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no
  * Declare compliance with Debian policy 4.1.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 20 Dec 2017 20:31:24 +0100

libarchive-zip-perl (1.59-1) unstable; urgency=medium

  * Import upstream version 1.59

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 12 Aug 2016 22:13:05 +0200

libarchive-zip-perl (1.58-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.58
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 Aug 2016 21:59:05 +0200

libarchive-zip-perl (1.57-1) unstable; urgency=medium

  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Import upstream version 1.57
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.7

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Apr 2016 14:34:48 +0200

libarchive-zip-perl (1.56-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Jan 2016 13:34:47 +0100

libarchive-zip-perl (1.56-1) experimental; urgency=medium

  * Import upstream version 1.56

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Dec 2015 08:00:15 +0100

libarchive-zip-perl (1.55-1) unstable; urgency=medium

  * Team upload.
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Import upstream version 1.55.
  * Add new build dependency: libtest-mockmodule-perl.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Dec 2015 19:46:00 +0100

libarchive-zip-perl (1.53-1) unstable; urgency=medium

  * Import upstream version 1.53

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Sep 2015 22:41:29 +0200

libarchive-zip-perl (1.51-1) unstable; urgency=medium

  * Import upstream version 1.51

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Sep 2015 10:16:40 +0200

libarchive-zip-perl (1.50-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.50

  [ gregor herrmann ]
  * Remove Matthias Klose from Uploaders on his request.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Sep 2015 22:53:21 +0200

libarchive-zip-perl (1.49-1) unstable; urgency=low

  * Import upstream version 1.49
    + Fixes "Failure on unseekable file handle after desiredCompressionLevel()
      is called" (Closes: #600848, #618780)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Aug 2015 07:15:44 +0200

libarchive-zip-perl (1.48-1) unstable; urgency=medium

  * Import upstream version 1.48
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Jun 2015 07:09:43 +0200

libarchive-zip-perl (1.47-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Update Repository URL in debian/upstream/metadata.
  * Import upstream version 1.46.
  * Update years of packaging copyright.
  * Drop debian/tests/pkg-perl/skip-smoke.
    Contains only commented out lines.

  [ Niko Tyni ]
  * Drop fix for deflated empty files, fixed in a different way upstream

  [ gregor herrmann ]
  * Import upstream version 1.47
  * Drop 0002-TODO-test-for-rt.cpan.org-73797-deflated-empty-file-.patch.
    Not necessary any more.
  * Drop debian/t/data/jar.zip after the test using it was removed.
    Also remove all occurences of it in debian/*.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jun 2015 18:44:35 +0200

libarchive-zip-perl (1.39-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.39
  * Refresh patches (offset, renamed file, whitespace defuzzying).
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Oct 2014 21:12:14 +0200

libarchive-zip-perl (1.38-1) unstable; urgency=medium

  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Imported upstream version 1.38

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 03 Sep 2014 07:43:22 +0200

libarchive-zip-perl (1.37-2) unstable; urgency=medium

  * Team upload.
  * d/copyright: Add documentation around the Info-ZIP license

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 25 Mar 2014 16:34:46 -0400

libarchive-zip-perl (1.37-1) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Harlan Lieberman-Berg ]
  * New upstream version.
  * Imported Upstream version 1.37
  * Bump S-V to 3.9.5.
  * Delete patches applied upstream and refresh remaining patches.

  [ gregor herrmann ]
  * Drop libtest-*-perl build dependencies which aren't needed anymore,
    since the tests are removed.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 25 Mar 2014 12:59:08 -0400

libarchive-zip-perl (1.30-7) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Put test file jar.zip into debian/ instead of creating it with quilt.
    Newer versions of patch don't apply git binary patches. Thanks to
    Jakub Wilk for the bug report. (Closes: #711951)
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update {versioned,alternative} (build) dependencies.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Jun 2013 17:34:30 +0200

libarchive-zip-perl (1.30-6) unstable; urgency=low

  * Team upload.
  * Add debian/patches/000* to debian/patches/series. Additionally extract
    t/data/jar.zip manually from debian/patches/0002-* and add it to
    debian/source/include-binaries (quilt silently ignores the binary part
    in the patch). Thanks to Niko Tyni (Closes: #654899)
  * Add build dependency on unzip and zip, used in the test suite.
  * Add patch fix_clean_target.patch to make upstream's clean target work.
    Remove override from debian/rules. (Cf. #654901)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Feb 2012 18:14:36 +0100

libarchive-zip-perl (1.30-5) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Damyan Ivanov ]
  * rules: remove test-created files on clean
    Thanks to Wookey for the patch. (Closes: #654901)

  [ gregor herrmann ]
  * Add new patches 0001-Make-the-embedded-File-Which-which-work-in-BEGIN-
    blo.patch, 0002-TODO-test-for-rt.cpan.org-73797-deflated-empty-
    file-.patch, 0003-Fix-for-rt.cpan.org-73797-deflated-empty-file-
    direct.patch: keep empty file deflated. Thanks to Niko Tyni for
    analyzing the tricky issue and providing patches. (Closes: #654899)
  * Update years of packaging copyright.
  * Bump Standards-Version to 3.9.2 (no further changes).
  * debian/copyright: update header section.

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Jan 2012 23:15:49 +0100

libarchive-zip-perl (1.30-4) unstable; urgency=low

  [ gregor herrmann ]
  * Update patch fix_example_shebangs.patch to include yet another hashbang
    (closes: #601402).

  [ Ernesto Hernández-Novich (USB) ]
  * debian/control: updated Standards-Version; upgrade to DH8.
  * debian/compat: upgrade to DH8.
  * debian/copyright: update to DEP5; add and update copyright dates;
    set Upstream-Contact to current CPAN maintainer.

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/control: Make Build-Depends-Indep on libtest-cpan-meta-perl
    unversioned.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 01 Mar 2011 07:54:20 -0430

libarchive-zip-perl (1.30-3) unstable; urgency=low

  [ gregor herrmann ]
  * Remove Ben Burton from Uploaders on request of the MIA team
    (closes: #577665).

  [ Salvatore Bonaccorso ]
  * Convert to '3.0 (quilt)' package source format. Drop quilt framework for
    packaging.
  * Refresh debian/copyright file.
  * debian/control: Re-oder the Build-Depends-Indep control file field.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Add fix-spelling-error.patch patch to fix a small spelling error
    reported by lintian.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 05 Jul 2010 10:25:32 +0200

libarchive-zip-perl (1.30-2) unstable; urgency=low

  * Add patch bumping required Perl minimum version in META.yml. Some tests
    for libarchive-zip-perl require 5.006, and the tests fail with newer
    libperl-minimumversion-perl (>= 1.22). Thanks to Lucas Nussbaum reporting
    the FTBFS (Closes: #560632).
  * Add myself to Uploaders.
  * debian/copyright: Update to the current revision of the DEP5 machine
    readable format-specification proposal.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 13 Dec 2009 10:08:11 +0100

libarchive-zip-perl (1.30-1) unstable; urgency=low

  * New upstream release (Closes: 548963).
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza);
    ${misc:Depends} to Depends: field. Changed: Maintainer set to Debian
    Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was: Ben
    Burton <bab@debian.org>); Ben Burton <bab@debian.org> moved to
    Uploaders. Updated Standards-Version. Added myself in Uploaders.
    Added quilt to Build-Depends: field.
  * debian/watch: use dist-based URL.
  * debian/rules: delete /usr/lib/perl5 only if it exists.
  * Added versioned dependencies on libcompress-raw-zlib-perl.
  * Remove unneeded dependencies on libfile-which-perl.
  * Added quilt patch to fix shebangs on example scripts (Closes: 543659).

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 01 Oct 2009 10:46:15 -0430

libarchive-zip-perl (1.18-2) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=548963#10)

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 29 Sep 2009 19:22:49 -0430

libarchive-zip-perl (1.18-1) unstable; urgency=low

  * New upstream release.
  * Added build-depends on libfile-which-perl, which is now used in the test
    suite.
  * Removed Appnote.txt and appnote.iz from the source tarball, since these
    appear to be non-free.
  * Switched from debhelper compatibility level 3 to 5.  Moved debhelper
    dependency to Build-Depends (not Build-Depends-Indep) to support the
    clean target (thanks lintian).
  * Bumped standards-version to 3.7.2.2 (no changes required).

 -- Ben Burton <bab@debian.org>  Sun, 20 May 2007 09:04:44 +1000

libarchive-zip-perl (1.16-1) unstable; urgency=low

  * New upstream release (closes: #329494).
  * Run the test suite during the package build.  This requires an extra
    build-depends on libcompress-zlib-perl.
  * Bumped standards-version to 3.6.2.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Wed,  5 Oct 2005 19:08:56 +1000

libarchive-zip-perl (1.14-2) unstable; urgency=low

  * Adopted by Ben Burton (closes: #314850).  Thanks to Ivo Timmermans
    and Matthias Klose for all their work on this package.
  * Clarified the copyright file by explicitly including the Perl license
    terms.
  * Changed double hyphen to a single hyphen in Tree.pm to avoid bad
    formatting in POD manpage (closes: #303022).
  * Added a manpage for /usr/bin/crc32.

 -- Ben Burton <bab@debian.org>  Mon, 20 Jun 2005 09:21:56 +1000

libarchive-zip-perl (1.14-1) unstable; urgency=high

  * New upstream version.
    - Fixes: Archive::Zip is fooled by manipulated ZIP directory
      Closes: #277773.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Oct 2004 22:19:15 +0200

libarchive-zip-perl (1.13-2) unstable; urgency=low

  * Add watch file.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 19:44:59 +0200

libarchive-zip-perl (1.13-1) unstable; urgency=high

  * NMU (needed as a dependency for mailscanner).

 -- Matthias Klose <doko@debian.org>  Sat, 28 Aug 2004 19:37:13 +0200

libarchive-zip-perl (1.12-0.1) unstable; urgency=low

  * NMU (needed as a dependency for mailscanner). Closes: #258198.

 -- Matthias Klose <doko@debian.org>  Fri,  9 Jul 2004 07:48:06 +0200

libarchive-zip-perl (1.10-0.1) unstable; urgency=low

  * NMU (needed as a dependency for mailscanner).
  * New upstream version (closes: #235788).
    - Better handling of broken archives (closes: #218932).

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jun 2004 18:31:23 +0200

libarchive-zip-perl (1.05-1) unstable; urgency=low

  * New upstream release.  (Closes: #192051)
  * debian/control:
      - Update Standards-Version;
      - Set Section to perl.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  5 May 2003 23:54:26 +0200

libarchive-zip-perl (1.01-1) unstable; urgency=low

  * New upstream release. (Closes: #145273)
  * Renamed Build-Depends to Build-Depends-Indep.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 19 May 2002 00:39:23 +0200

libarchive-zip-perl (0.11-1) unstable; urgency=low

  * Initial Release. (Closes: #99768)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 18 Jun 2001 14:36:39 +0200
